Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRCategoryAxisFormat

All Known Subinterfaces:
  JRAreaPlot, JRBar3DPlot, JRBarPlot, JRLinePlot

All Known Implementing Classes:
  JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseLinePlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignLinePlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillLinePlot

    public interface JRCategoryAxisFormat

Version:
  $Id: JRCategoryAxisFormat.java 3184 2009-11-02 20:45:14Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

Method Summary
`java.awt.Color` | `getCategoryAxisLabelColor()`
`JRFont` | `getCategoryAxisLabelFont()`
`java.awt.Color` | `getCategoryAxisLineColor()`
`java.awt.Color` | `getCategoryAxisTickLabelColor()`
`JRFont` | `getCategoryAxisTickLabelFont()`
`java.lang.String` | `getCategoryAxisTickLabelMask()`
`java.lang.Double` | `getCategoryAxisTickLabelRotation()`
`java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
`java.awt.Color` | `getOwnCategoryAxisLabelColor()`
`java.awt.Color` | `getOwnCategoryAxisLineColor()`
`java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
`void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)`

Field Detail

### PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION

    static final java.lang.String PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION

See Also:
  Constant Field Values

Method Detail

### getCategoryAxisLabelFont

    JRFont getCategoryAxisLabelFont()

### getCategoryAxisLabelColor

    java.awt.Color getCategoryAxisLabelColor()

### getOwnCategoryAxisLabelColor

    java.awt.Color getOwnCategoryAxisLabelColor()

### getCategoryAxisTickLabelFont

    JRFont getCategoryAxisTickLabelFont()

### getCategoryAxisTickLabelColor

    java.awt.Color getCategoryAxisTickLabelColor()

### getOwnCategoryAxisTickLabelColor

    java.awt.Color getOwnCategoryAxisTickLabelColor()

### getCategoryAxisTickLabelMask

    java.lang.String getCategoryAxisTickLabelMask()

### getCategoryAxisVerticalTickLabels

    java.lang.Boolean getCategoryAxisVerticalTickLabels()

### getCategoryAxisLineColor

    java.awt.Color getCategoryAxisLineColor()

### getOwnCategoryAxisLineColor

    java.awt.Color getOwnCategoryAxisLineColor()

### getCategoryAxisTickLabelRotation

    java.lang.Double getCategoryAxisTickLabelRotation()

### setCategoryAxisTickLabelRotation

    void setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com